{
  "id": "35c3ca44-7003-49f0-9377-1d79c1c2749e",
  "prevId": "dd06d694-91ce-4b6f-a472-eb135d8c9f91",
  "version": "7",
  "dialect": "postgresql",
  "tables": {
    "public.logs": {
      "name": "logs",
      "schema": "",
      "columns": {
        "log_id": {
          "name": "log_id",
          "type": "uuid",
          "primaryKey": true,
          "notNull": true,
          "default": "gen_random_uuid()"
        },
        "level": {
          "name": "level",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "username": {
          "name": "username",
          "type": "text",
          "primaryKey": false,
          "notNull": false,
          "default": "'LST_Serivce'"
        },
        "service": {
          "name": "service",
          "type": "text",
          "primaryKey": false,
          "notNull": true,
          "default": "'system'"
        },
        "message": {
          "name": "message",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "checked": {
          "name": "checked",
          "type": "boolean",
          "primaryKey": false,
          "notNull": false,
          "default": false
        },
        "checkedAt": {
          "name": "checkedAt",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false
        },
        "add_Date": {
          "name": "add_Date",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        }
      },
      "indexes": {},
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {},
      "policies": {},
      "checkConstraints": {},
      "isRLSEnabled": false
    },
    "public.modules": {
      "name": "modules",
      "schema": "",
      "columns": {
        "module_id": {
          "name": "module_id",
          "type": "uuid",
          "primaryKey": true,
          "notNull": true,
          "default": "gen_random_uuid()"
        },
        "name": {
          "name": "name",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "active": {
          "name": "active",
          "type": "boolean",
          "primaryKey": false,
          "notNull": false,
          "default": false
        },
        "roles": {
          "name": "roles",
          "type": "jsonb",
          "primaryKey": false,
          "notNull": true,
          "default": "'[\"view\",\"systemAdmin\"]'::jsonb"
        },
        "add_User": {
          "name": "add_User",
          "type": "text",
          "primaryKey": false,
          "notNull": true,
          "default": "'LST_System'"
        },
        "add_Date": {
          "name": "add_Date",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        },
        "upd_User": {
          "name": "upd_User",
          "type": "text",
          "primaryKey": false,
          "notNull": true,
          "default": "'LST_System'"
        },
        "upd_date": {
          "name": "upd_date",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        }
      },
      "indexes": {
        "module_name": {
          "name": "module_name",
          "columns": [
            {
              "expression": "name",
              "isExpression": false,
              "asc": true,
              "nulls": "last"
            }
          ],
          "isUnique": true,
          "concurrently": false,
          "method": "btree",
          "with": {}
        }
      },
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {},
      "policies": {},
      "checkConstraints": {},
      "isRLSEnabled": false
    },
    "public.notifications": {
      "name": "notifications",
      "schema": "",
      "columns": {
        "notify_id": {
          "name": "notify_id",
          "type": "uuid",
          "primaryKey": true,
          "notNull": true,
          "default": "gen_random_uuid()"
        },
        "name": {
          "name": "name",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "description": {
          "name": "description",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "checkInterval": {
          "name": "checkInterval",
          "type": "text",
          "primaryKey": false,
          "notNull": false,
          "default": "'1'"
        },
        "timeType": {
          "name": "timeType",
          "type": "text",
          "primaryKey": false,
          "notNull": false,
          "default": "'hour'"
        },
        "emails": {
          "name": "emails",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "active": {
          "name": "active",
          "type": "boolean",
          "primaryKey": false,
          "notNull": false,
          "default": false
        },
        "lastRan": {
          "name": "lastRan",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        },
        "notifiySettings": {
          "name": "notifiySettings",
          "type": "jsonb",
          "primaryKey": false,
          "notNull": false,
          "default": "'{}'::jsonb"
        }
      },
      "indexes": {
        "notify_name": {
          "name": "notify_name",
          "columns": [
            {
              "expression": "name",
              "isExpression": false,
              "asc": true,
              "nulls": "last"
            }
          ],
          "isUnique": true,
          "concurrently": false,
          "method": "btree",
          "with": {}
        }
      },
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {},
      "policies": {},
      "checkConstraints": {},
      "isRLSEnabled": false
    },
    "public.ocmeData": {
      "name": "ocmeData",
      "schema": "",
      "columns": {
        "ocme_id": {
          "name": "ocme_id",
          "type": "uuid",
          "primaryKey": true,
          "notNull": true,
          "default": "gen_random_uuid()"
        },
        "sscc": {
          "name": "sscc",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "runningNr": {
          "name": "runningNr",
          "type": "numeric",
          "primaryKey": false,
          "notNull": true
        },
        "completed": {
          "name": "completed",
          "type": "boolean",
          "primaryKey": false,
          "notNull": false,
          "default": false
        },
        "lineNum": {
          "name": "lineNum",
          "type": "numeric",
          "primaryKey": false,
          "notNull": true
        },
        "pickedUp": {
          "name": "pickedUp",
          "type": "boolean",
          "primaryKey": false,
          "notNull": false,
          "default": false
        },
        "areaFrom": {
          "name": "areaFrom",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "add_User": {
          "name": "add_User",
          "type": "text",
          "primaryKey": false,
          "notNull": true,
          "default": "'LST_System'"
        },
        "add_Date": {
          "name": "add_Date",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        },
        "upd_User": {
          "name": "upd_User",
          "type": "text",
          "primaryKey": false,
          "notNull": true,
          "default": "'LST_System'"
        },
        "upd_date": {
          "name": "upd_date",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        }
      },
      "indexes": {
        "ocme_runningNr": {
          "name": "ocme_runningNr",
          "columns": [
            {
              "expression": "runningNr",
              "isExpression": false,
              "asc": true,
              "nulls": "last"
            }
          ],
          "isUnique": true,
          "concurrently": false,
          "method": "btree",
          "with": {}
        }
      },
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {},
      "policies": {},
      "checkConstraints": {},
      "isRLSEnabled": false
    },
    "public.manualPrinting": {
      "name": "manualPrinting",
      "schema": "",
      "columns": {
        "print_id": {
          "name": "print_id",
          "type": "uuid",
          "primaryKey": true,
          "notNull": true,
          "default": "gen_random_uuid()"
        },
        "line": {
          "name": "line",
          "type": "integer",
          "primaryKey": false,
          "notNull": false
        },
        "printReason": {
          "name": "printReason",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "initials": {
          "name": "initials",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "additionalComments": {
          "name": "additionalComments",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "add_date": {
          "name": "add_date",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        },
        "add_user": {
          "name": "add_user",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        }
      },
      "indexes": {},
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {},
      "policies": {},
      "checkConstraints": {},
      "isRLSEnabled": false
    },
    "public.printerData": {
      "name": "printerData",
      "schema": "",
      "columns": {
        "printer_id": {
          "name": "printer_id",
          "type": "uuid",
          "primaryKey": true,
          "notNull": true,
          "default": "gen_random_uuid()"
        },
        "humanReadableId": {
          "name": "humanReadableId",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "name": {
          "name": "name",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "ipAddress": {
          "name": "ipAddress",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "port": {
          "name": "port",
          "type": "numeric",
          "primaryKey": false,
          "notNull": false
        },
        "status": {
          "name": "status",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "statusText": {
          "name": "statusText",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "lastTimePrinted": {
          "name": "lastTimePrinted",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": true,
          "default": "now()"
        },
        "assigned": {
          "name": "assigned",
          "type": "boolean",
          "primaryKey": false,
          "notNull": false,
          "default": false
        },
        "remark": {
          "name": "remark",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "printDelay": {
          "name": "printDelay",
          "type": "numeric",
          "primaryKey": false,
          "notNull": false
        },
        "monitorState": {
          "name": "monitorState",
          "type": "boolean",
          "primaryKey": false,
          "notNull": false,
          "default": false
        },
        "add_Date": {
          "name": "add_Date",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        },
        "upd_date": {
          "name": "upd_date",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        }
      },
      "indexes": {
        "humanReadableId": {
          "name": "humanReadableId",
          "columns": [
            {
              "expression": "humanReadableId",
              "isExpression": false,
              "asc": true,
              "nulls": "last"
            }
          ],
          "isUnique": true,
          "concurrently": false,
          "method": "btree",
          "with": {}
        }
      },
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {},
      "policies": {},
      "checkConstraints": {},
      "isRLSEnabled": false
    },
    "public.prodlabels": {
      "name": "prodlabels",
      "schema": "",
      "columns": {
        "label_id": {
          "name": "label_id",
          "type": "uuid",
          "primaryKey": true,
          "notNull": true,
          "default": "gen_random_uuid()"
        },
        "printerID": {
          "name": "printerID",
          "type": "integer",
          "primaryKey": false,
          "notNull": false
        },
        "printerName": {
          "name": "printerName",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "line": {
          "name": "line",
          "type": "integer",
          "primaryKey": false,
          "notNull": false
        },
        "runningNr": {
          "name": "runningNr",
          "type": "integer",
          "primaryKey": false,
          "notNull": true
        },
        "status": {
          "name": "status",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "add_user": {
          "name": "add_user",
          "type": "text",
          "primaryKey": false,
          "notNull": false,
          "default": "'lst'"
        },
        "add_date": {
          "name": "add_date",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        },
        "upd_date": {
          "name": "upd_date",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        }
      },
      "indexes": {
        "runningNr": {
          "name": "runningNr",
          "columns": [
            {
              "expression": "runningNr",
              "isExpression": false,
              "asc": true,
              "nulls": "last"
            }
          ],
          "isUnique": true,
          "concurrently": false,
          "method": "btree",
          "with": {}
        }
      },
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {},
      "policies": {},
      "checkConstraints": {},
      "isRLSEnabled": false
    },
    "public.rfidReaders": {
      "name": "rfidReaders",
      "schema": "",
      "columns": {
        "rfidReader_id": {
          "name": "rfidReader_id",
          "type": "uuid",
          "primaryKey": true,
          "notNull": true,
          "default": "gen_random_uuid()"
        },
        "reader": {
          "name": "reader",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "readerIP": {
          "name": "readerIP",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "lastHeartBeat": {
          "name": "lastHeartBeat",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        },
        "lastTrigger": {
          "name": "lastTrigger",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        },
        "lastTiggerGood": {
          "name": "lastTiggerGood",
          "type": "boolean",
          "primaryKey": false,
          "notNull": false,
          "default": true
        },
        "active": {
          "name": "active",
          "type": "boolean",
          "primaryKey": false,
          "notNull": false,
          "default": true
        }
      },
      "indexes": {
        "reader": {
          "name": "reader",
          "columns": [
            {
              "expression": "reader",
              "isExpression": false,
              "asc": true,
              "nulls": "last"
            }
          ],
          "isUnique": true,
          "concurrently": false,
          "method": "btree",
          "with": {}
        }
      },
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {},
      "policies": {},
      "checkConstraints": {},
      "isRLSEnabled": false
    },
    "public.rfidTags": {
      "name": "rfidTags",
      "schema": "",
      "columns": {
        "rfidTag_id": {
          "name": "rfidTag_id",
          "type": "uuid",
          "primaryKey": true,
          "notNull": true,
          "default": "gen_random_uuid()"
        },
        "tagHex": {
          "name": "tagHex",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "tag": {
          "name": "tag",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "timeStamp": {
          "name": "timeStamp",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        },
        "counts": {
          "name": "counts",
          "type": "jsonb",
          "primaryKey": false,
          "notNull": false,
          "default": "'[]'::jsonb"
        },
        "lastareaIn": {
          "name": "lastareaIn",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "runningNumber": {
          "name": "runningNumber",
          "type": "integer",
          "primaryKey": false,
          "notNull": false
        },
        "antenna": {
          "name": "antenna",
          "type": "integer",
          "primaryKey": false,
          "notNull": false
        },
        "tagStrength": {
          "name": "tagStrength",
          "type": "integer",
          "primaryKey": false,
          "notNull": false
        },
        "created_at": {
          "name": "created_at",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        }
      },
      "indexes": {
        "tagHex": {
          "name": "tagHex",
          "columns": [
            {
              "expression": "tagHex",
              "isExpression": false,
              "asc": true,
              "nulls": "last"
            }
          ],
          "isUnique": true,
          "concurrently": false,
          "method": "btree",
          "with": {}
        }
      },
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {},
      "policies": {},
      "checkConstraints": {},
      "isRLSEnabled": false
    },
    "public.roles": {
      "name": "roles",
      "schema": "",
      "columns": {
        "role_id": {
          "name": "role_id",
          "type": "uuid",
          "primaryKey": true,
          "notNull": true,
          "default": "gen_random_uuid()"
        },
        "name": {
          "name": "name",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "add_User": {
          "name": "add_User",
          "type": "text",
          "primaryKey": false,
          "notNull": true,
          "default": "'LST_System'"
        },
        "add_Date": {
          "name": "add_Date",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        },
        "upd_User": {
          "name": "upd_User",
          "type": "text",
          "primaryKey": false,
          "notNull": true,
          "default": "'LST_System'"
        },
        "upd_date": {
          "name": "upd_date",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        }
      },
      "indexes": {
        "role_name": {
          "name": "role_name",
          "columns": [
            {
              "expression": "name",
              "isExpression": false,
              "asc": true,
              "nulls": "last"
            }
          ],
          "isUnique": true,
          "concurrently": false,
          "method": "btree",
          "with": {}
        }
      },
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {},
      "policies": {},
      "checkConstraints": {},
      "isRLSEnabled": false
    },
    "public.serverData": {
      "name": "serverData",
      "schema": "",
      "columns": {
        "server_id": {
          "name": "server_id",
          "type": "uuid",
          "primaryKey": true,
          "notNull": true,
          "default": "gen_random_uuid()"
        },
        "sName": {
          "name": "sName",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "serverDNS": {
          "name": "serverDNS",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "plantToken": {
          "name": "plantToken",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "idAddress": {
          "name": "idAddress",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "greatPlainsPlantCode": {
          "name": "greatPlainsPlantCode",
          "type": "numeric",
          "primaryKey": false,
          "notNull": false
        },
        "streetAddress": {
          "name": "streetAddress",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "cityState": {
          "name": "cityState",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "zipcode": {
          "name": "zipcode",
          "type": "numeric",
          "primaryKey": false,
          "notNull": false
        },
        "contactEmail": {
          "name": "contactEmail",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "contactPhone": {
          "name": "contactPhone",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "customerTiAcc": {
          "name": "customerTiAcc",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "lstServerPort": {
          "name": "lstServerPort",
          "type": "numeric",
          "primaryKey": false,
          "notNull": false
        },
        "active": {
          "name": "active",
          "type": "boolean",
          "primaryKey": false,
          "notNull": false,
          "default": true
        },
        "serverLoc": {
          "name": "serverLoc",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "oldVersion": {
          "name": "oldVersion",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "lastUpdated": {
          "name": "lastUpdated",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        },
        "shippingHours": {
          "name": "shippingHours",
          "type": "text",
          "primaryKey": false,
          "notNull": false,
          "default": "'[{\"early\": \"06:30\", \"late\": \"23:00\"}]'"
        },
        "tiPostTime": {
          "name": "tiPostTime",
          "type": "text",
          "primaryKey": false,
          "notNull": false,
          "default": "'[{\"from\": \"24\", \"to\": \"24\"}]'"
        },
        "otherSettings": {
          "name": "otherSettings",
          "type": "jsonb",
          "primaryKey": false,
          "notNull": false,
          "default": "'[{\"specialInstructions\":\"something for ti\",\"active\":false}]'::jsonb"
        },
        "isUpgrading": {
          "name": "isUpgrading",
          "type": "boolean",
          "primaryKey": false,
          "notNull": false,
          "default": false
        }
      },
      "indexes": {
        "plantToken": {
          "name": "plantToken",
          "columns": [
            {
              "expression": "plantToken",
              "isExpression": false,
              "asc": true,
              "nulls": "last"
            }
          ],
          "isUnique": true,
          "concurrently": false,
          "method": "btree",
          "with": {}
        }
      },
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {},
      "policies": {},
      "checkConstraints": {},
      "isRLSEnabled": false
    },
    "public.settings": {
      "name": "settings",
      "schema": "",
      "columns": {
        "role_id": {
          "name": "role_id",
          "type": "uuid",
          "primaryKey": true,
          "notNull": true,
          "default": "gen_random_uuid()"
        },
        "name": {
          "name": "name",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "value": {
          "name": "value",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "description": {
          "name": "description",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "moduleName": {
          "name": "moduleName",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "roles": {
          "name": "roles",
          "type": "jsonb",
          "primaryKey": false,
          "notNull": true,
          "default": "'[\"systemAdmin\"]'::jsonb"
        },
        "add_User": {
          "name": "add_User",
          "type": "text",
          "primaryKey": false,
          "notNull": true,
          "default": "'LST_System'"
        },
        "add_Date": {
          "name": "add_Date",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        },
        "upd_User": {
          "name": "upd_User",
          "type": "text",
          "primaryKey": false,
          "notNull": true,
          "default": "'LST_System'"
        },
        "upd_date": {
          "name": "upd_date",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        }
      },
      "indexes": {
        "name": {
          "name": "name",
          "columns": [
            {
              "expression": "name",
              "isExpression": false,
              "asc": true,
              "nulls": "last"
            }
          ],
          "isUnique": true,
          "concurrently": false,
          "method": "btree",
          "with": {}
        }
      },
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {},
      "policies": {},
      "checkConstraints": {},
      "isRLSEnabled": false
    },
    "public.siloAdjustments": {
      "name": "siloAdjustments",
      "schema": "",
      "columns": {
        "lsiloAdjust_id": {
          "name": "lsiloAdjust_id",
          "type": "uuid",
          "primaryKey": true,
          "notNull": true,
          "default": "gen_random_uuid()"
        },
        "level": {
          "name": "level",
          "type": "integer",
          "primaryKey": false,
          "notNull": false
        },
        "locationID": {
          "name": "locationID",
          "type": "integer",
          "primaryKey": false,
          "notNull": false
        },
        "currentStockLevel": {
          "name": "currentStockLevel",
          "type": "numeric",
          "primaryKey": false,
          "notNull": false
        },
        "newLevel": {
          "name": "newLevel",
          "type": "numeric",
          "primaryKey": false,
          "notNull": false
        },
        "comments": {
          "name": "comments",
          "type": "text",
          "primaryKey": false,
          "notNull": false,
          "default": "''"
        },
        "dateAdjusted": {
          "name": "dateAdjusted",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        },
        "lastDateAdjusted": {
          "name": "lastDateAdjusted",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        },
        "statusMessage": {
          "name": "statusMessage",
          "type": "text",
          "primaryKey": false,
          "notNull": false,
          "default": "''"
        },
        "add_user": {
          "name": "add_user",
          "type": "text",
          "primaryKey": false,
          "notNull": false,
          "default": "'LST_Serivce'"
        }
      },
      "indexes": {},
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {},
      "policies": {},
      "checkConstraints": {},
      "isRLSEnabled": false
    },
    "public.subModules": {
      "name": "subModules",
      "schema": "",
      "columns": {
        "submodule_id": {
          "name": "submodule_id",
          "type": "uuid",
          "primaryKey": true,
          "notNull": true,
          "default": "gen_random_uuid()"
        },
        "moduleName": {
          "name": "moduleName",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "name": {
          "name": "name",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "description": {
          "name": "description",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "link": {
          "name": "link",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "active": {
          "name": "active",
          "type": "boolean",
          "primaryKey": false,
          "notNull": false,
          "default": false
        },
        "roles": {
          "name": "roles",
          "type": "jsonb",
          "primaryKey": false,
          "notNull": true,
          "default": "'[\"systemAdmin\"]'::jsonb"
        },
        "subSubModule": {
          "name": "subSubModule",
          "type": "jsonb",
          "primaryKey": false,
          "notNull": false,
          "default": "'[]'::jsonb"
        },
        "add_User": {
          "name": "add_User",
          "type": "text",
          "primaryKey": false,
          "notNull": true,
          "default": "'LST_System'"
        },
        "add_Date": {
          "name": "add_Date",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        },
        "upd_User": {
          "name": "upd_User",
          "type": "text",
          "primaryKey": false,
          "notNull": true,
          "default": "'LST_System'"
        },
        "upd_date": {
          "name": "upd_date",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        }
      },
      "indexes": {},
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {},
      "policies": {},
      "checkConstraints": {},
      "isRLSEnabled": false
    },
    "public.userRoles": {
      "name": "userRoles",
      "schema": "",
      "columns": {
        "user_id": {
          "name": "user_id",
          "type": "uuid",
          "primaryKey": false,
          "notNull": true
        },
        "role_id": {
          "name": "role_id",
          "type": "uuid",
          "primaryKey": false,
          "notNull": true
        },
        "module_id": {
          "name": "module_id",
          "type": "uuid",
          "primaryKey": false,
          "notNull": true
        },
        "role": {
          "name": "role",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "add_User": {
          "name": "add_User",
          "type": "text",
          "primaryKey": false,
          "notNull": true,
          "default": "'LST_System'"
        },
        "add_Date": {
          "name": "add_Date",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        },
        "upd_User": {
          "name": "upd_User",
          "type": "text",
          "primaryKey": false,
          "notNull": true,
          "default": "'LST_System'"
        },
        "upd_date": {
          "name": "upd_date",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        }
      },
      "indexes": {
        "user_module_unique": {
          "name": "user_module_unique",
          "columns": [
            {
              "expression": "user_id",
              "isExpression": false,
              "asc": true,
              "nulls": "last"
            },
            {
              "expression": "module_id",
              "isExpression": false,
              "asc": true,
              "nulls": "last"
            }
          ],
          "isUnique": true,
          "concurrently": false,
          "method": "btree",
          "with": {}
        }
      },
      "foreignKeys": {
        "userRoles_user_id_users_user_id_fk": {
          "name": "userRoles_user_id_users_user_id_fk",
          "tableFrom": "userRoles",
          "tableTo": "users",
          "columnsFrom": [
            "user_id"
          ],
          "columnsTo": [
            "user_id"
          ],
          "onDelete": "no action",
          "onUpdate": "no action"
        },
        "userRoles_role_id_roles_role_id_fk": {
          "name": "userRoles_role_id_roles_role_id_fk",
          "tableFrom": "userRoles",
          "tableTo": "roles",
          "columnsFrom": [
            "role_id"
          ],
          "columnsTo": [
            "role_id"
          ],
          "onDelete": "no action",
          "onUpdate": "no action"
        },
        "userRoles_module_id_modules_module_id_fk": {
          "name": "userRoles_module_id_modules_module_id_fk",
          "tableFrom": "userRoles",
          "tableTo": "modules",
          "columnsFrom": [
            "module_id"
          ],
          "columnsTo": [
            "module_id"
          ],
          "onDelete": "no action",
          "onUpdate": "no action"
        }
      },
      "compositePrimaryKeys": {},
      "uniqueConstraints": {},
      "policies": {},
      "checkConstraints": {},
      "isRLSEnabled": false
    },
    "public.users": {
      "name": "users",
      "schema": "",
      "columns": {
        "user_id": {
          "name": "user_id",
          "type": "uuid",
          "primaryKey": true,
          "notNull": true,
          "default": "gen_random_uuid()"
        },
        "username": {
          "name": "username",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "email": {
          "name": "email",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "password": {
          "name": "password",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "passwordToken": {
          "name": "passwordToken",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "passwordTokenExpires": {
          "name": "passwordTokenExpires",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false
        },
        "active": {
          "name": "active",
          "type": "boolean",
          "primaryKey": false,
          "notNull": true,
          "default": true
        },
        "pingcode": {
          "name": "pingcode",
          "type": "numeric",
          "primaryKey": false,
          "notNull": false
        },
        "role": {
          "name": "role",
          "type": "text",
          "primaryKey": false,
          "notNull": true,
          "default": "'user'"
        },
        "lastLogin": {
          "name": "lastLogin",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        },
        "add_User": {
          "name": "add_User",
          "type": "text",
          "primaryKey": false,
          "notNull": true,
          "default": "'LST_System'"
        },
        "add_Date": {
          "name": "add_Date",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        },
        "upd_User": {
          "name": "upd_User",
          "type": "text",
          "primaryKey": false,
          "notNull": true,
          "default": "'LST_System'"
        },
        "upd_date": {
          "name": "upd_date",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        }
      },
      "indexes": {
        "username": {
          "name": "username",
          "columns": [
            {
              "expression": "username",
              "isExpression": false,
              "asc": true,
              "nulls": "last"
            }
          ],
          "isUnique": true,
          "concurrently": false,
          "method": "btree",
          "with": {}
        }
      },
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {},
      "policies": {},
      "checkConstraints": {},
      "isRLSEnabled": false
    }
  },
  "enums": {},
  "schemas": {},
  "sequences": {},
  "roles": {},
  "policies": {},
  "views": {},
  "_meta": {
    "columns": {},
    "schemas": {},
    "tables": {}
  }
}